Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class BorderUIResource.TitledBorderUIResource

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.TitledBorder
                  |
                  +--javax.swing.plaf.BorderUIResource.TitledBorderUIResource

All Implemented Interfaces:
  Border, Serializable, UIResource

Enclosing class:
  BorderUIResource

public static class BorderUIResource.TitledBorderUIResource
extends TitledBorder
implements UIResource

Field Summary

Fields inherited from class javax.swing.border.TitledBorder
`ABOVE_BOTTOM, ABOVE_TOP, BELOW_BOTTOM, BELOW_TOP, border, BOTTOM, CENTER, DEFAULT_JUSTIFICATION, DEFAULT_POSITION, EDGE_SPACING, LEADING, LEFT, RIGHT, TEXT_INSET_H, TEXT_SPACING, title, titleColor, titleFont, titleJustification, titlePosition, TOP, TRAILING`

Constructor Summary
`BorderUIResource.TitledBorderUIResource(Border border)`
`BorderUIResource.TitledBorderUIResource(Border border, String title)`
`BorderUIResource.TitledBorderUIResource(Border border, String title, int titleJustification, int titlePosition)`
`BorderUIResource.TitledBorderUIResource(Border border, String title, int titleJustification, int titlePosition, Font titleFont)`
`BorderUIResource.TitledBorderUIResource(Border border, String title, int titleJustification, int titlePosition, Font titleFont, Color titleColor)`
`BorderUIResource.TitledBorderUIResource(String title)`

Methods inherited from class javax.swing.border.TitledBorder
`getBorder, getBorderInsets, getBorderInsets, getFont, getMinimumSize, getTitle, getTitleColor, getTitleFont, getTitleJustification, getTitlePosition, isBorderOpaque, paintBorder, setBorder, setTitle, setTitleColor, setTitleFont, setTitleJustification, setTitlePosition`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BorderUIResource.TitledBorderUIResource

    public BorderUIResource.TitledBorderUIResource(String title)

### BorderUIResource.TitledBorderUIResource

    public BorderUIResource.TitledBorderUIResource(Border border)

### BorderUIResource.TitledBorderUIResource

    public BorderUIResource.TitledBorderUIResource(Border border,
                                                   String title)

### BorderUIResource.TitledBorderUIResource

    public BorderUIResource.TitledBorderUIResource(Border border,
                                                   String title,
                                                   int titleJustification,
                                                   int titlePosition)

### BorderUIResource.TitledBorderUIResource

    public BorderUIResource.TitledBorderUIResource(Border border,
                                                   String title,
                                                   int titleJustification,
                                                   int titlePosition,
                                                   Font titleFont)

### BorderUIResource.TitledBorderUIResource

    public BorderUIResource.TitledBorderUIResource(Border border,
                                                   String title,
                                                   int titleJustification,
                                                   int titlePosition,
                                                   Font titleFont,
                                                   Color titleColor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.